Adds new or modifies existing attribute

- « DOMElement::replaceWith

- DOMElement::setAttributeNode »

- PHP Manual
- DOMElement
- Adds new or modifies existing attribute

# DOMElement::setAttribute

(PHP 5, PHP 7, PHP 8)

DOMElement::setAttribute — Adds new or modifies existing attribute

### Description

public DOMElement::setAttribute(string `$qualifiedName`, string `$value`): DOMAttr|bool

Sets an attribute with name `qualifiedName` to the given value. If the attribute does not exist, it will be created.

### Parameters

`qualifiedName`

  The name of the attribute.

`value`

  The value of the attribute.

### Return Values

The created or modified DOMAttr or `false` if an error occurred.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

### Examples

Example #1 Setting an attribute

    <?php
    $doc = new DOMDocument("1.0");
    $node = $doc->createElement("para");
    $newnode = $doc->appendChild($node);
    $newnode->setAttribute("align", "left");
    ?>

### See Also

- DOMElement::hasAttribute() - Checks to see if attribute exists
- DOMElement::getAttribute() - Returns value of attribute
- DOMElement::removeAttribute() - Removes attribute